Subject: bug#6582: minor issue with du command

From: Warren L Dodge <[email-masked]>
Date: Wed, 7 Jul 2010 15:15:05 -0700

I did a du -s * .??* in my /tmp directory and got this

du: invalid option -- 1
du: invalid option -- 2
du: invalid option -- 3

It turns out I had a directory named of all things "-123"

I tried du -s /dev/null * .??* witht e same results.

It seems like there would be a way to

stop processing switches. But it looks like even if I put -123 as the
last file of 30 others it still processes it as a switch.

No big deal since this doesn't happen to much (I assume).